Draft Array/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(12 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_PathArray|Path Array]]|[[Draft_Module|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}
{{Docnav
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}

{{VeryImportantMessage|THIS COMMAND IS OBSOLETE<br>
It is not be available in {{VersionPlus|0.21}}. Use [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] instead.}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft_Array|Name/cs=Kreslení Pole|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Draft → Array|SeeAlso=[[Draft PathArray/cs|PathArray]]}}
{{GuiCommand/cs|Name=Draft_Array|Name/cs=Kreslení Pole|Workbenches=[[Draft_Workbench/cs|Kreslení]], [[Arch_Workbench/cs|Architektura]]|MenuLocation=Draft → Array|SeeAlso=[[Draft PathArray/cs|PathArray]]}}
</div>
</div>


<span id="Description"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Popis==
==Popis==
Line 11: Line 23:
</div>
</div>


The [[Image:Draft_Array.svg|24px]] '''Draft Array''' command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a [[Draft_PolarArray|polar array]] or a [[Draft_CircularArray|circular array]] by changing its {{PropertyData|Array Type}} property.
This tool can be used on 2D shapes created with the [[Draft Workbench]] but can also be used on many types of 3D objects such as those created with the [[Part Workbench]] or [[PartDesign Workbench]].


The command can be used on 2D objects created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but also on many 3D objects such as those created with the [[Part_Workbench|Part Workbench]], [[PartDesign_Workbench|PartDesign Workbench]] or [[Arch_Workbench|Arch Workbench]].
To position copies along a path use [[Draft PathArray]]; to position copies at specified points use [[Draft PointArray]]; to create copies or clones, and manually place them use [[Draft Move]], [[Draft Rotate]], and [[Draft Clone]].


This command is now obsolete. Use the [[Draft_OrthoArray|Draft OrthoArray]], [[Draft_PolarArray|Draft PolarArray]] or [[Draft_CircularArray|Draft CircularArray]] command instead.
[[Image:Draft_Array_example.jpg|400px]]

<div class="mw-translate-fuzzy">
==Usage==
[[Image:Draft_Array_example.jpg|400px]]
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 27: Line 38:
</div>
</div>


==Properties==
Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.


See [[Draft_OrthoArray#Properties|Draft OrthoArray]].
== Options ==

There are no options for this tool. Either it works with the selected object or not.

== Properties ==
* {{PropertyData|Base}}: specifies the object to duplicate in the array.
* {{PropertyData|Array Type}}: specifies the type of array to create, either "ortho" or "polar".
* {{PropertyData|Fuse}}: if it is {{TRUE}}, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:
* {{PropertyData|Interval X}}: specifies the interval between each copy on the X axis.
* {{PropertyData|Interval Y}}: specifies the interval between each copy on the Y axis.
* {{PropertyData|Interval Z}}: specifies the interval between each copy on the Z axis.
* {{PropertyData|Number X}}: specifies the number of copies on the X axis.
* {{PropertyData|Number Y}}: specifies the number of copies on the Y axis.
* {{PropertyData|Number Z}}: specifies the number of copies on the Z axis.

For polar arrays:
* {{PropertyData|Axis}}: specifies the normal direction of the array circle.
* {{PropertyData|Center}}: specifies the center point of the array circle.
* {{PropertyData|Angle}}: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
* {{PropertyData|Number Polar}}: specifies the number of copies to place in the circular arrangement.
* {{PropertyData|Interval Axis}}: specifies the interval between each copy on the {{PropertyData|Axis}} direction.

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if {{PropertyData|Interval X}} is (2 m, 1 m, 1 m), and {{PropertyData|Number X}} is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The {{PropertyData|Interval Axis}} property works in the same way. If the original shape lies on the XY plane, creating a polar array with {{PropertyData|Interval Axis}} (0, 0, z) allows you to make spiral arrangements.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


See [[Draft_OrthoArray#Scripting|Draft OrthoArray]].
The Array tool can be used in [[macros]] and from the [[Python]] console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.


<div class="mw-translate-fuzzy">
==Volby==
* Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.
</div>
{{Code|code=
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)
}}


{{Docnav
To create a rectangular array, use it like this:
|
{{Code|code=
|
array_list = array(objectslist, xvector, yvector, xnum, ynum)
|[[Draft_Workbench|Draft]]
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}
}}


{{Draft Tools navi{{#translation:}}}}
<div class="mw-translate-fuzzy">
{{Userdocnavi{{#translation:}}}}
==Vlastnosti==
* {{PropertyData|Typ pole}}: Specifikuje typ pole ortogonální nebo polární
</div>
{{Code|code=
array_list = array(objectslist, center, totalangle, totalnum)
}}

<div class="mw-translate-fuzzy">
Příklad:
</div>

This function internally uses {{incode|Draft.move()}} and {{incode|Draft.rotate()}} with <code>copy=True</code>.

Example:
{{Code|code=
import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)
}}

<div class="mw-translate-fuzzy">
Pro polární pole:
* {{PropertyData|Osy}}: Kolmý směr kruhového pole
* {{PropertyData|Střed}}: Středový bod pole
* {{PropertyData|Úhel}}: Úhel, který má být kopiemi pokryt
* {{PropertyData|Počet kopií}}: Počet kopií
</div>

The basic signature is as follows:
{{Code|code=
Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")
}}

<div class="mw-translate-fuzzy">
Pro obdélníkové pole:
</div>
{{Code|code=
Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")
}}

<div class="mw-translate-fuzzy">
==Skriptování==
Nástroj Pole může být využit v [[macros/cs|makrech]] a z konzoly Pythonu použitím následujících funkcí, v závislosti na tom jestli chcete získat jednoduché, samostatné kopie základního objektu nebo parametrický objekt pole, který zůstává napojen na původní objekt.
</div>
{{Code|code=
Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
}}

<div class="mw-translate-fuzzy">
=== Jednoduché pole ===
Pro obdélníkové pole:
</div>

<div class="mw-translate-fuzzy">
Pro kruhové pole:
</div>
{{Code|code=
import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
}}

{{Docnav|[[Draft_Draft2Sketch|Draft to Sketch]]|[[Draft_PathArray|Path Array]]|[[Draft_Module|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}

{{Draft Tools navi}}

{{Userdocnavi}}
{{clear}}

Latest revision as of 08:25, 20 May 2023

THIS COMMAND IS OBSOLETE
It is not be available in version 0.21 and above. Use Draft OrthoArray, Draft PolarArray or Draft CircularArray instead.

Kreslení Pole

Umístění Menu
Draft → Array
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
PathArray

Popis

Nástroj Pole vytváří ortogonální (3-osy) nebo polární pole z vybraných objektů. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru.

The Draft Array command creates an orthogonal (3-axes) array from a selected object. The created array can be turned into a polar array or a circular array by changing its ÚdajeArray Type property.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

This command is now obsolete. Use the Draft OrthoArray, Draft PolarArray or Draft CircularArray command instead.

Usage

Použití

  1. Vyberte objekt, ze kterého chcete udělat pole
  2. Stiskněte tlačítko Pole.

(pozn.překl.: Pro začátečníky jako jsem já - defaultně jsou intervaly X,Y a Z nastaveny na 1. Když pracujete v mm, tak to vypadá jakoby se pole nevytvořilo, protože se elementy překrývají. Je potřeba alespoň jeden index zvýšit minimálně na rozměr základního prvku.)

Properties

See Draft OrthoArray.

Scripting

See Draft OrthoArray.